Package com.emc.documentum.rest.dfc

# Interface ObjectCollectionManager<T>

Type Parameters:
  `T` - the object class

public interface ObjectCollectionManager<T>
The object collection manager that gets objects by DQL.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `count(String dql)`
  Get the total count of the sql query.
  `List<T>`
  `get(String dql, int page, int itemsPerPage, AttributeView attributeView)`
  Deprecated.
  Since 7.3, please use `getPagedCollection(String, boolean, int, int, com.emc.documentum.rest.attributeview.api.AttributeView)` instead.
  `List<T>`
  `get(String dql, AttributeView attributeView)`
  Get an object collection with the given DQL query.
  `CollectionResult<T>`
  `getPagedCollection(String dql, boolean hasRangeSupport, int page, int itemsPerPage, AttributeView attributeView)`
  Get an object collection with the given DQL query.

- ## Method Details

  - ### get

    @Deprecated List<T> get(String dql, int page, int itemsPerPage, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Deprecated.
    Since 7.3, please use `getPagedCollection(String, boolean, int, int, com.emc.documentum.rest.attributeview.api.AttributeView)` instead.
    Get an object collection with the given DQL query.
    Parameters:
      `dql` - the query to execute
      `page` - the page number of paginated collection
      `itemsPerPage` - the number of items in the page
      `attributeView` - the attribute view of returning attributes filter
    Returns:
      the collection of persistent objects
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getPagedCollection

    CollectionResult<T> getPagedCollection(String dql, boolean hasRangeSupport, int page, int itemsPerPage, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Get an object collection with the given DQL query.
    Parameters:
      `dql` - the DQL query to execute
      `hasRangeSupport` - indicate whether range is enabling on the dql; when range is enabling, the dql result starts with the pagination offset; when not, the dql result starts with 0.
      `page` - the page number of paginated collection
      `itemsPerPage` - the number of items in the page
      `attributeView` - the attribute view of returning attributes filter
    Returns:
      the collection of persistent objects
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### get

    List<T> get(String dql, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Get an object collection with the given DQL query. No extra pagination filtering on the result. The query may or may not contain return_range pagination control.
    Parameters:
      `dql` - the DQL query to execute
      `attributeView` - the attribute view of returning attributes filter
    Returns:
      the collection of persistent objects
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### count

    int count(String dql) throws com.documentum.fc.common.DfException
    Get the total count of the sql query.
    Parameters:
      `dql` - the DQL query
    Returns:
      the count of objects by this DQL
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation